Bug 846697 - [rhevm] - Upgrade - rhevm-upgrade reset the ports to defaults (8080 & 8443)
[rhevm] - Upgrade - rhevm-upgrade reset the ports to defaults (8080 & 8443)
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Alex Lourie
Pavel Stehlik
Depends On:
  Show dependency treegraph
Reported: 2012-08-08 09:02 EDT by David Botzer
Modified: 2014-01-13 19:03 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-12-04 15:00:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
upgrade log (17.99 KB, application/octet-stream)
2012-08-08 09:02 EDT, David Botzer
no flags Details
engine (14.34 KB, application/octet-stream)
2012-08-08 09:02 EDT, David Botzer
no flags Details

  None (edit)
Description David Botzer 2012-08-08 09:02:01 EDT
Created attachment 603021 [details]
upgrade log

Description of problem:

Cannot connect to webadmin using the new ports I configued before upgrade,
Also the Portal Refers to webadmin with the first defined https port(8441)
But fails to connect

i installed si12 with ports http=8111 & https=8441
I added in the repo old & new (si12 & si13.2)

Version-Release number of selected component (if applicable):
3.1/si12 --> si13.2

How reproducible:

Steps to Reproduce:
1. i installed si12 with ports http=8111 & https=8441
2. I added in the repo old & new baseurl (si12 & si13.2)
1. yum update rhevm-setup - ok
2. rhevm-upgrade - ok

Actual results:
Cannot connect with 8111 - but I can connect with 8080 to portal
Also portal link to webadmin refers to port 8441 and fails since it was changed back to default 8443

Expected results:
Should leave the configured ports as they were

Additional info:
Comment 1 David Botzer 2012-08-08 09:02:18 EDT
Created attachment 603023 [details]
Comment 2 David Botzer 2012-08-09 04:42:47 EDT
Regards to the Reporting Tool:
Dashboard tab via webadmin is not connecting to reports correctly due
to the ports change (Return to Default).
Same With SSO - asks for user/password.

Before upgrade:
8111 was changed to 8080 during upgrade
8441 was changed to 8443 during upgrade
*After upgrade i have executed the new ovirt-reports-setup

The values and config parameters:
https://<RHEVM Server>:8443/webadmin/webadmin/WebAdmin.html#reports
Apache/2.2.17 (Red Hat Enterprise Web Server) Server at <RHEVM Server> Port 8441

VdcBootStrapUrl --> http://<RHEVM Server>:8111/Components/vds/

RedirectServletReportsPage https://<RHEVM Server>:8441/rhevm-reports

applicationContext-security-web.xml -->
<property name="servletURL"
value="https://<RHEVM Server>:8441/OvirtEngineWeb/ValidateSession"/>
Comment 3 Alex Lourie 2012-08-14 08:58:34 EDT
There's no errors in logs that could explain the problem you're experiencing. Could you please explain what does "Cannot connect with 8111" mean? Could you please add a screenshot of a problem? Or IP of the machine?
Comment 4 David Botzer 2012-08-19 03:26:29 EDT
I have reproduced on x.x.x.x

Installed clean host, and installed si12
Selected :
    http = 8111
    https= 8411

I verified I can connect to webadmin via the above ports (and via port 8080 ?!?!?)

I have upgraded using si14 successfully and rebooted the server.

I cannot connect via the above ports, only via 8080
And even so, after connecting to portal using 8080, it redirects me to 8411

--- I am refraining from using IPs in bugzilla,
Comment 5 Alex Lourie 2012-08-19 08:00:20 EDT
This is due to a configuration changes made in si14.

Please retest with next build.
Comment 6 David Botzer 2012-08-22 05:34:01 EDT
Fixed, 3.1/si14--si15
Ports are stay unchanged
and port 8080 is disabled
Fixed, 3.1/si14--si15

Note You need to log in before you can comment on or make changes to this bug.